#!/bin/bash
set -x

img_folder="image"
flag_folder="flag"

if [ -d "$img_folder" ]; then
  rm -rf "$img_folder"/*
else
  mkdir "$img_folder"
fi

if [ -d "$flag_folder" ]; then
  rm -rf "$flag_folder"/*
else
  mkdir "$flag_folder"
fi

if [ "$#" -ne 2 ]; then
  echo "Usage: $0 <IP_ADDRESS> <PORT>"
  exit 1
fi

ip_address="$1"
port="$2"

./sender "$ip_address" "$port"
